<?php

namespace App\Http\Controllers;

use App\Models\expenses;
use Carbon\Carbon;
use App\Models\invoices;
use DB;
use Illuminate\Http\Request;

class analyze extends Controller
 {
    public function analyse(){
        $weeks = [];
        $sums = [];
        $eweeks = [];
        $esums = [];
       
        $d = \App\Models\invoices::all()->groupBy(function($date) {
        $created_at = Carbon::parse($date->created_at);
        $start = $created_at->startOfWeek(Carbon::MONDAY)->format('d-m-Y');
        $end = $created_at->endOfWeek(Carbon::SUNDAY)->format('d-m-Y');
    
        return "{$start} - {$end}";
    })->sortBy(DB::raw('COUNT(id)','desc'))->all();
      
        foreach($d as $key => $rr){
            $sum = 0;
            foreach($rr as $t){
                $sum = $sum + $t->total ;
            }
          
          
                array_push($weeks,$key);
                array_push($sums,$sum);
        }

          
        $ed = \App\Models\expenses::all()->groupBy(function($date) {
            $created_at = Carbon::parse($date->created_at);
            $start = $created_at->startOfWeek(Carbon::MONDAY)->format('d-m-Y');
            $end = $created_at->endOfWeek(Carbon::SUNDAY)->format('d-m-Y');
        
            return "{$start} - {$end}";
        })->sortBy(DB::raw('COUNT(id)','desc'))->all();
          
            foreach($ed as $key => $rr){
                $sum = 0;
                foreach($rr as $t){
                    $sum = $sum + $t->total ;
                }
                    array_push($eweeks,$key);
                    array_push($esums,$sum);
            }
       
      
         return view('analyse-chart',
         [

          'data'=> json_encode($weeks),
         'sums'=> json_encode($sums),
         'edata'=> json_encode($eweeks),
         'esums'=> json_encode($esums),
         'totalearn'=>invoices::sum('total'),
         'totalexp'=>expenses::sum('total')

         ]
        );
    }
    

    public function index(){
        $top_selling = [];
        $orders = invoices::whereMonth('created_at', Carbon::now()->subDays(30)->endOfDay())
        ->get();
        foreach($orders as $o){
            $d = json_decode($o->items) ; 
            foreach($d as $a){
                array_push($top_selling,$a);
            }
            
        }
        $topsellingfinal  = [];
        foreach($top_selling as $tp){
            
            if(array_key_exists($tp->name , $topsellingfinal) ==  false ){

                $topsellingfinal[$tp->name] = $tp->qyt * 1;
            }else{


                $key = array_search ($tp->name, $topsellingfinal);
                $topsellingfinal[$tp->name] = $topsellingfinal[$tp->name] +  $tp->qyt; 
            }
            
        }
        arsort($topsellingfinal);
        //dd($topsellingfinal);
        return view('analyze',['top'=>array_slice($topsellingfinal, 0, 100)]);
    }

    public function settings(){
        return view('settings');
    }
}
