<?php

use Carbon\Carbon;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->foreignId('current_team_id')->nullable();
            $table->string('profile_photo_path', 2048)->nullable();
            $table->timestamps();
        });
        //

        DB::table('users')->insert(
            array(
               'name'=>'abc',
               	'email'=>'abc@gmail.com',	
                   'email_verified_at'=>NULL,
                   	'password'=>'$2y$10$UMsfwcv.CIBfMEIN.yv1F.Fhzp9TcQU.GYgGdp6Jlyxr3HrWG0vaG',	
                 
                       'remember_token'=>NULL,
                       'profile_photo_path'=>NULL,	
                       'current_team_id'=>NULL,
                       'created_at'=>Carbon::now(),	
                       'updated_at'=>Carbon::now()

            )
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
