<div class="relative ">

    <div class="fixed bottom-5 right-10">
        <button wire:click="modelo" type="button"
                class="inline-flex items-center p-3 border border-transparent rounded-full shadow-sm text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
            <!-- Heroicon name: outline/plus-sm -->
            <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                 stroke="currentColor" aria-hidden="true">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 6v6m0 0v6m0-6h6m-6 0H6"/>
            </svg>
        </button>
    </div>

@foreach($invt as $i)
        <div onclick="location.href='{{route('inventory_info',['uid'=>$i->uid])}}'" class="p-4 bg-white flex">
            <div class="flex-1">
                <div class="pl-2 text-l text-black  font-black uppercase">{{$i->name}}</div>
                <div class="pl-2 text-xl text-black  font-mono uppercase">QYT {{(new App\helper)->getstock($i->uid)}}</div>
                <!---<div class="pl-2 text-xs text-gray-300 font-mono">UID - {{$i->uid}}</div>--->
            </div>
            <div class="flex-end mt-4">
               <span class="material-icons">
            chevron_right
            </span>
            </div>

        </div>
    @endforeach


    <x-jet-dialog-modal wire:model="model">
        <x-slot name="title">
            Add New Product to Inventory
        </x-slot>

        <x-slot name="content">
            <div>
                <label for="name" class="block text-sm font-medium text-gray-700">Product Name</label>
                <div class="mt-1">
                    <input wire:model="name" type="text" name="name" id="name" class="shadow-sm focus:ring-indigo-500 focus:border-indigo-500 block w-full sm:text-sm border-gray-300 rounded-md" placeholder="Product Name">
                </div>
            </div>

        </x-slot>

        <x-slot name="footer">
            <x-jet-secondary-button wire:click="modelo" wire:loading.attr="disabled">
                Close
            </x-jet-secondary-button>
            <x-jet-danger-button class="ml-2 bg-[#FFEB3B] text-black hover:bg-black hover:text-white" wire:click="add_product" wire:loading.attr="disabled">
                Add Product
            </x-jet-danger-button>
        </x-slot>
    </x-jet-dialog-modal>
</div>
