<div>
    <!-- This example requires Tailwind CSS v2.0+ -->
    <div class="fixed bottom-5 right-10">
        <button wire:click="modelo" type="button"
                class="inline-flex items-center p-3 border border-transparent rounded-full shadow-sm text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
            <!-- Heroicon name: outline/plus-sm -->
            <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                 stroke="currentColor" aria-hidden="true">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 6v6m0 0v6m0-6h6m-6 0H6"/>
            </svg>
        </button>
    </div>
    <div>

        <dl class="mt-5 grid grid-cols-1 gap-5 sm:grid-cols-3 mb-5">
            <div class="px-4 py-5 bg-white shadow rounded-lg overflow-hidden sm:p-6">
                <dt class="text-sm font-medium text-gray-500 truncate">Total Stock of <?php echo e(\App\Models\inventory::where('uid',$this->uid)->first()->name); ?></dt>
                <dd class="mt-1 text-3xl font-semibold text-gray-900"><?php echo e($totalstock); ?></dd>

            </div>

        </dl>
    </div>

    
    <?php $__currentLoopData = $invtlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div  class="p-4 bg-white flex">
            <span class="inline-flex items-center justify-center h-12 w-12 rounded-full <?php if($i->type == 'add'): ?> bg-[#B2FF59] text-[#33691E] <?php else: ?> bg-[#FF5252] text-white <?php endif; ?>">
              <span class="text-lg font-medium leading-none "><?php if($i->type == 'add'): ?> + <?php else: ?> - <?php endif; ?></span>
            </span>
            <div class="flex-1">
                <div class="pl-2 text-l text-black  font-black uppercase"><?php echo e($i->name); ?></div>
                <div class="pl-2 text-sm text-black  font-mono uppercase">Qyt <?php echo e($i->qyt); ?></div>
                <div class="pl-2 text-sm text-black  font-mono uppercase">Qyt <?php echo e($i->qyt); ?></div>
                <div class="pl-2 text-xs text-gray-300 font-mono">Desc - <?php echo e($i->desc); ?></div>
                <div class="pl-2 text-xs text-gray-300 font-mono">Date - <?php echo e($i->created_at->format('d-m-y h:m a')); ?></div>

            </div>
            <?php if($i->invc != 0 ): ?>
            <div class="flex-end mt-4">
               <span class="material-icons">
            chevron_right
            </span>
            </div>
                <?php endif; ?>

        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'jetstream::components.dialog-modal','data' => ['wire:model' => 'model']]); ?>
<?php $component->withName('jet-dialog-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['wire:model' => 'model']); ?>
         <?php $__env->slot('title', null, []); ?> Stock Adjustment
         <?php $__env->endSlot(); ?>

         <?php $__env->slot('content', null, []); ?> 
            <div>

                <div>
                    <label for="location" class="block text-sm font-medium text-gray-700">Type</label>
                    <select wire:model="type" id="location" name="location"
                            class="mt-1 block w-full pl-3 pr-10 py-2 text-base border-gray-300 focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm rounded-md">
                        <option selected>Select</option>
                        <option value="add">Add</option>
                        <option value="reduce">Reduce</option>

                    </select>

                    <div>
                        <label for="qyt" class="block text-sm font-medium text-gray-700">Quantity</label>
                        <div class="mt-1">
                            <input wire:model="qyt" type="number" name="qyt" id="qyt"
                                   class="shadow-sm focus:ring-indigo-500 focus:border-indigo-500 block w-full sm:text-sm border-gray-300 rounded-md"
                                   placeholder="Quantity">
                        </div>
                    </div>
                    <div>
                        <label for="qyt" class="block text-sm font-medium text-gray-700">Quantity</label>
                        <div class="mt-1">
                            <input wire:model="desc" type="text" name="desc" id="desc"
                                   class="shadow-sm focus:ring-indigo-500 focus:border-indigo-500 block w-full sm:text-sm border-gray-300 rounded-md"
                                   placeholder="Description">
                        </div>
                    </div>

                </div>

            </div>

         <?php $__env->endSlot(); ?>

         <?php $__env->slot('footer', null, []); ?> 
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'jetstream::components.secondary-button','data' => ['wire:click' => 'modelo','wire:loading.attr' => 'disabled']]); ?>
<?php $component->withName('jet-secondary-button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['wire:click' => 'modelo','wire:loading.attr' => 'disabled']); ?>
                Close
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'jetstream::components.danger-button','data' => ['class' => 'ml-2 bg-[#FFEB3B] text-black hover:bg-black hover:text-white','wire:click' => 'addhistory','wire:loading.attr' => 'disabled']]); ?>
<?php $component->withName('jet-danger-button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'ml-2 bg-[#FFEB3B] text-black hover:bg-black hover:text-white','wire:click' => 'addhistory','wire:loading.attr' => 'disabled']); ?>
                update
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
         <?php $__env->endSlot(); ?>
     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
</div>
<?php /**PATH /Users/yashc/Desktop/projects/web/eggs/resources/views/livewire/inventory-info.blade.php ENDPATH**/ ?>